WordPress gaat PHP 5.X uitfaseren

5.2 tot 5.5 zijn officieel beëindigd en 5.6 is in Q4 2019 aan de beurt

We zijn al een tijd bekend met PHP 7.X en de meeste applicaties kunnen niet zonder. WordPress gaat PHP 5.X uitfaseren met een duidelijk update pad. 5.2 tot 5.5 zijn officieel beëindigd en 5.6 is in Q4 2019 aan de beurt.

WordPress 5.2

Bij de nieuwe update van WordPress naar 5.2, geeft het opensource platform duidelijk aan alleen nog vanaf PHP 5.6 te ondersteunen. Hiermee zetten ze actief de progressie in om eind 2019 alleen nog maar PHP 7.X te ondersteunen.

Dit is de eerst PHP update die vereist wordt sinds 2010 en hiermee geeft het platform een duidelijk signaal aan zijn gebruikers om bij te blijven en mee te gaan met alle updates.

Update PHP today, so you can update WordPress tomorrow!

Get a faster, more secure website: update your PHP today!

Zijn de koppen waarmee WordPress communiceert en waarmee ze laten zien heel bewust te zijn van het veiligheidsaspect omtrent de updates. De meeste WordPress gebruikers zijn bekend met de updates van het platform en de plugins maar worden hiermee ook bewust gemaakt op het belang van PHP updates.

PHP versies kiezen  

HostingXS heeft, sinds dat het duidelijk werd dat lang niet iedereen op hetzelfde tempo mee kon als dat PHP updates kreeg, een optie ontwikkeld om PHP versies te kiezen. Hiermee kunnen klanten per site bepalen welke PHP versie ze voor welke site willen hebben draaien en kunnen dit aanpassen indien nodig. Dit gaat via het control panel en kan omgezet worden naar gelang.

Voordelen

Er zijn twee belangrijke voordelen om PHP up-to-date te houden

  • De website zal sneller zijn omdat de nieuwste versie van PHP efficiënter is. Updaten naar de nieuwste ondersteunde versie (momenteel 7.3) kan een enorme prestatieverhoging opleveren; zo’n 3 tot 4x sneller voor oudere versies.
  • De website zal veiliger zijn. PHP wordt, net als WordPress, onderhouden door zijn community. Omdat PHP zo populair is, is het een doelwit voor hackers – maar de nieuwste versie heeft de nieuwste beveiligingsfuncties. Oudere versies van PHP hebben dit niet, dus bijwerken is essentieel om uw WordPress-site veilig te houden.

En dan heeft het ook nog leuke bijkomstige voordelen:

  • Een snellere WordPress-website wordt beloond door zoekmachines, dus je scoort hoger in de zoekresultaten!
  • Een snellere website zullen bezoekers meer waarderen, een langzamere site wordt als vervelend gezien en wordt eerder verlaten.
  • Een veiligere website is beter beveiligd tegen hackers en daarmee tegen de kosten en reputatieschade die gepaard gaat met een gehackte website.
  • Deze voordelen zijn goed voor jou en goed voor de bezoekers van je website. Dit zijn de redenen waarom je PHP vandaag moet updaten.

Conclusie

Het moraal van het verhaal is; wees altijd up-to date! Iedereen heeft er baat bij volledig up to date te zijn.

Heb je naar aanleiding van dit blog vragen gekregen over wat dit bijvoorbeeld voor jouw applicatie betekent en of jij ook de mogelijkheid hebt om te updaten, bel, app of mail me dan gerust om te kijken wat jouw logische vervolgstappen zijn.